library empirical_galaxy;

import 'dart:math';
import '../../lib/empirical.dart';

part 'galaxy.dart';

main() {
  new EmpiricalGalaxy();
}

class EmpiricalGalaxy extends Empirical {
  final galaxy = new Galaxy();
  
  startGame() {
    galaxy.createGalaxy();
  }
  
  endGame() {
    galaxy.created = false;
  }
  
  restartGame() {
    galaxy.createGalaxy();
  }
  
  pauseGame() {
    
  }
  
  resizeGame() {
    galaxy.resize();
  }
  
  drawGame() {
    if(galaxy.created) galaxy.draw();
  }
  
  tickGame() {
    
  }
  
  keyDownGame(keyCode) {
    
  }
  
  clickGame(num x, num y) {
    
  }
  
}